Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		dracut
#Epoch:		0
Version:	0.4
Release:	1
License:	GNU/GPLv2
URL:		https://fedoraproject.org/wiki/Dracut
Group:	        System/Base	
Summary:	initramfs infrastructure
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
# source taken from http://harald.fedorapeople.org/downloads/dracut/
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:

%description
Dracut is an initramfs infrastructure. Unlike previous initramfs systems, Dracut aims to have as little as possible hard-coded into the initramfs.
With Dracut, the initramfs has one purpose in life - getting the rootfs mounted so that we can transition to the real rootfs. This is all driven by device availability. Therefore, instead of scripts hard-coded to do various things, we depend on udev to create device nodes for us and then when we have the rootfs's device node, we mount and carry on. This helps to keep the time required in the initramfs as short as possible so that things like a five second boot aren't made impossible as a result of the very existence of an initramfs.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT sbindir=/sbin sysconfdir=/etc mandir=%{_mandir}
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_sysconfdir}/dracut.conf
/sbin/dracut
%exclude /sbin/switch_root
%{_mandir}/man8/dracut.8.gz
%{_datadir}/dracut/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Oct 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.4-1
- initial CCux package release
